# boost::numeric::ublas::scalar_binary_assign_functor< T1, T2 > Struct Template Reference

Inherited by boost::numeric::ublas::scalar_assign< T1, T2 >, boost::numeric::ublas::scalar_divides_assign< T1, T2 >, boost::numeric::ublas::scalar_minus_assign< T1, T2 >, boost::numeric::ublas::scalar_multiplies_assign< T1, T2 >, and boost::numeric::ublas::scalar_plus_assign< T1, T2 >.

List of all members.

## Public Types

typedef type_traits< typename boost::remove_reference< T1 > ::type >::reference | argument1_type
typedef type_traits< T2 > ::const_reference | argument2_type

### template<class T1, class T2>
struct boost::numeric::ublas::scalar_binary_assign_functor< T1, T2 >